﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 1012: ADJ RS-232 /5520A+SC600
DATE:                  2010-08-30 11:47:43
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       153
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 1012
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Audible Operator Prompt
#        Sub High Voltage Safety Warning
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT RS-232 Connection DTE DB9 (m) /5520
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup RS-232
#        Sub Tek TDS1000/2000 Cal Steps RS-232 /5520+S6
#        Sub Tek TDS1000/2000 Cal Sig Path Comp RS-232
#        Sub Tek TDS1000/2000 Check Cal Status RS-232
#        Sub Tek TDS1000/2000 ADJ Required Equipment /5520
#        Sub Incorrect Connection Calibration Aborted
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 ADJ Required Equipment /5520"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  19 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  IF           NOT(VERSIONCHECK("7.20Z"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright

  1.009  DISP         Ensure a minimum UUT warm-up time of at least
  1.009  DISP         10 minutes has been allowed to elapse, prior
  1.009  DISP         to beginning adjustment.

  1.010  HEAD         COMMUNICATION SETUP
  1.011  TARGET
  1.012  CALL         Sub Tek TDS1000/2000 Setup RS-232
  1.013  JMPL         END                          @Abort
  1.014  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /5520
  1.015  PORT         *RST

  1.016  HEAD         UUT IDENTIFICATION
  1.017  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.018  MATH         @UUT_Model = "TDS 1012"
  1.019  MATH         @UUT_Manufacturer = "Tektronix"
  1.020  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.021  JMPL         END                          @Abort

  1.022  CALL         Sub Tek TDS1000/2000 Specifications

  1.023  HEAD         EQUIPMENT REQUIREMENTS
  1.024  OPBR         -z Do you want to REVIEW the list of additional
  1.024  OPBR         equipment and/or accessories required?

  1.025  IF           MEM1
  1.026  CALL         Sub Tek TDS1000/2000 ADJ Required Equipment /5520
  1.027  ENDIF

# Query self test result. if failed, abort the procedure
  1.028  PORT         DIA:RESU:FLA?[I$]

  1.029  IF           ZCMPI(MEM2, "FAIL")
  1.030  DISP         Self Test failed, procedure will be aborted.
  1.031  END
  1.032  ENDIF

  1.033  HEAD         FACTORY CALIBRATION START
  1.034  TARGET
  1.035  MATH         @Abort = 0

  1.036  DO
  1.037  CALL         Sub Tek TDS1000/2000 Cal Steps RS-232 /5520+S6

  1.038  IF           @Error
  1.039  OPBR         -z Failure occurred during the FACTORY CALIBRATION.
  1.039  OPBR
  1.039  OPBR         Do you wish to retry the calibration?
  1.040  MATH         @Abort = NOT(MEM1)
  1.041  ENDIF

  1.042  UNTIL        NOT(@Error) || @Abort

  1.043  CALL         Sub Tek TDS1000/2000 Cal Sig Path Comp RS-232

  1.044  LABEL        END

  1.045  IF           @Abort
  1.046  HEAD         A D J U S T M E N T   A B O R T E D !
  1.047  ELSE
  1.048  HEAD         A D J U S T M E N T   C O M P L E T E
  1.049  ENDIF

  1.050  PORT         *RST
  1.051  END
